# -*- coding: utf-8 -*-
from Mapa_PU.swdl.model.converter import Converter

class LineGeom(Converter):
    """Klasa geometrii lini""" 
    def __init__(self,width: float,type_cd: str, geometry):
        self.__width=width
        self.__type_cd=self.to_upper(type_cd)
        self.__geometry=geometry
    
    @property
    def width(self)->float:
        return self.__width
    @width.setter    
    def width(self,width: float):
        self.__width=width
        
    @property
    def type_cd(self)->str:
        return self.__type_cd
    @type_cd.setter
    def type_cd(self,type: str):
        self.__type_cd=self.to_upper(type)
    
    @property
    def geometry(self)->str:
        return self.__geometry
    @geometry.setter
    def geometry(self,geometry):
        self.__geometry=geometry
